(function ( $ ) {
	"use strict";

	$(function () {

		$(function() {
    
        var name = $( "#listName" ),
        landingPage = $( "#listLandingPage" ),
        mcID = $( "#listMailchimpID" ),
        mcName = $( "#listMailchimpName" ),
        ccID = $( "#listCCID" ),
        ccName = $( "#listCCName" ),
        allFields = $( [] ).add( name ).add( landingPage ).add( mcID ).add( mcName ).add( ccID ).add( ccName ),
        tips = $( ".validateTips" );
    
    function updateTips( t ) {
      tips
        .text( t )
        .addClass( "ui-state-highlight" );
      setTimeout(function() {
        tips.removeClass( "ui-state-highlight", 1500 );
      }, 500 );
    }
 
    function checkLength( o, n, min, max ) {
      if ( o.val().length > max || o.val().length < min ) {
        o.addClass( "ui-state-error" );
        updateTips( "Length of " + n + " must be between " +
          min + " and " + max + "." );
        return false;
      } else {
        return true;
      }
    }
 
    function checkRegexp( o, regexp, n ) {
      if ( !( regexp.test( o.val() ) ) ) {
        o.addClass( "ui-state-error" );
        updateTips( n );
        return false;
      } else {
        return true;
      }
    }
 
    $( "#dialog-form" ).dialog({
      autoOpen: false,
      height: 400,
      width: 450,
      modal: true,
      buttons: {
        "Create a list": function() {
          var bValid = true;
          allFields.removeClass( "ui-state-error" );
 
          bValid = bValid && checkRegexp( name, /^[0-9a-z_]+$/i, "List Name Please ( Letters, Numbers & Underscores are allowed )" );
          bValid = bValid && checkRegexp( landingPage, /[0-9]/i, "Please select a landing page" );
          if ($('#listMailchimpID').length) {
          bValid = bValid && checkRegexp( mcID, /^[0-9a-z]+$/i, "Please Select a Mailchimp List" );
          }
          if ($('#listCCID').length) {
          bValid = bValid && checkRegexp( ccID, /^(http:\/\/www\.|https:\/\/www\.|http:\/\/|https:\/\/)[a-z0-9]+([\-\.]{1}[a-z0-9]+)*\.[a-z]{2,5}(:[0-9]{1,5})?(\/.*)?$/i, "Please Select a Constant Contact List" );
          }
          if ( bValid ) {

            var action = "?action=doifd_add_list";

            var nocache = Math.random();
            
            if ( (mcID.val() == null) && (ccID.val() == null) ) {
            var data = action + "&listName=" + name.val() + "&listLandingPage=" + landingPage.val() + '&nocache=' + nocache;
            }
            if ( ( mcID.val() != null) && (ccID.val() == null) ) {
            var data = action + "&listName=" + name.val() + "&listLandingPage=" + landingPage.val() + "&mcListID=" + mcID.val() + "&mcListName=" + mcName.val() + '&nocache=' + nocache;
            }
            if ( ( ccID.val() != null) && ( mcID.val() == null) ) {
            var data = action + "&listName=" + name.val() + "&listLandingPage=" + landingPage.val() + "&ccListID=" + ccID.val() + "&ccListName=" + ccName.val() + '&nocache=' + nocache;
            }
            if ( ( ccID.val() != null) && ( mcID.val() != null) ) {
            var data = action + "&listName=" + name.val() + "&listLandingPage=" + landingPage.val() + "&mcListID=" + mcID.val() + "&mcListName=" + mcName.val() + "&ccListID=" + ccID.val() + "&ccListName=" + ccName.val() + '&nocache=' + nocache;
            }
            
            http.open("post", ajaxurl + data, true);
            http.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
//            http.onreadystatechange = ccRequestState;
            http.send(data);
       

        }
        },
        Cancel: function() {
          $( this ).dialog( "close" );
        }
      },
      close: function() {
        allFields.val( "" ).removeClass( "ui-state-error" );
      }
    });
 
    $( "#create-list" )
      .button()
      .click(function() {
        $( "#dialog-form" ).dialog( "open" );
      });
  });

	});
        
/* Hide Upload Field if download not seclected */



    



}(jQuery));


jQuery(document).ready(function($) {

    $('.this_is_a_download').click(function() {
        $('#download_file').show();
        $("#doifd_upload_submit").attr('value', 'Upload Your File');
        $("#doifd_labelName").text('Download Name *:');

    });

    $('.this_is_a_list').click(function() {
        $('#download_file').hide();
        $("#doifd_upload_submit").attr('value', 'Create List');
        $("#doifd_labelName").text('List Name *:');
    });

});