<?php

if ( !class_exists( 'Doifd_Lists_Functions' ) ) {

    class Doifd_Lists_Functions extends Doifd_Lists {

        public function __construct() {
            
        }

        public function add_list() {

            global $wpdb;

            if ( isset( $_POST[ 'listName' ] ) && ( current_user_can( 'manage_options' ) ) ) {

                // Get List Name and Sanitize it
                $cleanListName = sanitize_text_field( $_POST[ 'listName' ] );

                // Get Landing Page ID and sanitize it
                $cleanLandingPage = sanitize_text_field( $_POST[ 'listLandingPage' ] );

                // Get Mailchimp List ID. If it's set, clean it and assign to a variable.
                // If not sent, set make the varialbe NULL/Empty to avoid PHP Notice
                if ( isset( $_POST[ 'mcListID' ] ) ) {

                    $cleanMcID = sanitize_text_field( $_POST[ 'mcListID' ] );
                }
                else {

                    $cleanMcID = '';
                }

                // Get Mailchimp List Name. If it's set, clean it and assign to a variable.
                // If not sent, set make the varialbe NULL/Empty to avoid PHP Notice
                if ( isset( $_POST[ 'mcListName' ] ) ) {

                    $cleanMcName = sanitize_text_field( $_POST[ 'mcListName' ] );
                }
                else {

                    $cleanMcName = '';
                }

                // Get Constant Contact List ID. If it's set, clean it and assign to a variable.
                // If not sent, set make the varialbe NULL/Empty to avoid PHP Notice
                if ( isset( $_POST[ 'ccListID' ] ) ) {

                    $cleanCCID = sanitize_text_field( $_POST[ 'ccListID' ] );
                }
                else {

                    $cleanCCID = '';
                }

                // Get Constant Contact List Name. If it's set, clean it and assign to a variable.
                // If not sent, set make the varialbe NULL/Empty to avoid PHP Notice
                if ( isset( $_POST[ 'ccListName' ] ) ) {

                    $cleanCCName = sanitize_text_field( $_POST[ 'ccListName' ] );
                }
                else {

                    $cleanCCName = '';
                }

                // if the List Name and the Landing Page ID exists, add to the database.
                if ( !empty( $cleanListName ) && !empty( $cleanLandingPage ) ) {

                    $values = array (
                        'doifd_list_name' => $cleanListName,
                        'doifd_list_landing_page' => $cleanLandingPage,
                        'doifd_list_mailchimp_list_id' => $cleanMcID,
                        'doifd_list_mailchimp_list_name' => $cleanMcName,
                        'doifd_list_constant_contact_list_id' => $cleanCCID,
                        'doifd_list_constant_contact_list_name' => $cleanCCName,
                        'time' => current_time( 'mysql', 0 )
                    );

                    $values_formats = array (
                        '%s',
                        '%s',
                        '%s',
                        '%s',
                        '%s',
                        '%s',
                        '%s'
                    );

                    $wpdb->insert( $wpdb->prefix . 'doifd_lab_lists', $values, $values_formats );

                    /* Show success message */

                    $text = __( 'List Added Successfully', $this->plugin_slug  );

                    echo '<div class="doifd_succeed_msg" >' . $text . '</div>';
                    die(); /* Added to suppress the Ajax success response */
                }
            }
            else {

                /* Show error message */

                $text = __( 'There was an error.', $this->plugin_slug  );

                echo '<div class="doifd_succeed_msg" >' . $text . '</div>';
                die(); /* Added to suppress the Ajax success response */
            }
        }
        
        public function create_list_table() {
            
            global $wpdb;
            
            $doifd_list_table = $wpdb->prefix . 'doifd_lab_lists';
            
            $lists = $wpdb->get_results( "SELECT doifd_list_name, doifd_list_landing_page, doifd_list_mailchimp_list_name, doifd_list_constant_contact_list_name FROM $doifd_list_table" );
            
            ?>
            
            <div id="users-contain" class="ui-widget">
                <h1>Lists:</h1>
                <table id="users" class="ui-widget ui-widget-content">
                    <thead>
                        <tr class="ui-widget-header ">
                            <th>List Name</th>
                            <th>Landing Page</th>
                            <th>MailChimp List</th>
                            <th>Constant Contact List</th>
                            <th>Shortcode</th>
                            <th>Subscribers</th>
                        </tr>
                    </thead>
                    <tbody>
             <?php
                        
                    foreach ( $lists as $key => $value ) {

                        echo '<tr>';
                        echo '<td>' . $value->doifd_list_name . '</td>';
                        echo '<td>' . get_the_title ( $value->doifd_list_landing_page ). '</td>';
                        echo '<td>' . $value->doifd_list_mailchimp_list_name . '</td>';
                        echo '<td>' . $value->doifd_list_constant_contact_list_name . '</td>';
                        echo '<td></td>';
                        echo '<td></td>';
                        echo '</tr>';
                            }
                    ?>
                    </tbody>
                </table>
            </div>
            <?php
            
        }

    }

}
?>