<?php
/**
 * This class contains all the filters that change the wording in DOIFD
 *
 * @author LAB Web Development
 */

class DoifdAdminVisualFilters extends DOIFD_Lists {

     public function __construct() {
         
        add_filter( 'doifd_download_table_title', array ( $this, 'change_table_title' ) );
        add_filter( 'doifd_download_upload_title', array ( $this, 'change_upload_title' ) );
        add_filter( 'doifd_download_menu_title', array ( $this, 'change_download_menu_name' ) );
        add_filter( 'doifd_download_settings_title', array ( $this, 'change_settings_menu_name' ) );
        add_filter( 'doifd_download_table_headers', array ( $this, 'change_download_table_headers' ) );
        add_filter( 'doifd_subscriber_table_headers', array ( $this, 'change_subscriber_table_headers' ) );
        add_filter( 'doifd_download_table_type', array ( $this, 'add_download_table_type' ), 10, 3 );
        
     }
     
     public function change_table_title( $value ) {
        $value =  __('Downloads / Lists', $this->plugin_slug );
        return $value;
    }
    
    public function change_upload_title( $title2 ) {
        $title2 =  __('Upload Your Download File / Create List Here', $this->plugin_slug );
        return $title2;
    }
    
    public function change_download_menu_name( $value ) {
        $value =  __('Downloads / Lists', $this->plugin_slug );
        return $value;
    }
    
   public function change_settings_menu_name( $value ) {
        $value =  __('Download Settings', $this->plugin_slug );
        return $value;
    }
    
    public function change_download_table_headers( $columns ) {
        
        if ( is_plugin_active( 'premium-double-opt-in-for-download/premium-double-opt-in-for-download.php' ) ) {
            
        $columns = array (
            'cb'=>'<input type="checkbox" />' , //Render a checkbox instead of text
            'doifd_download_name'=>__( 'Download / List Name', $this->plugin_slug ),
            'type'=>__( 'Type' , $this->plugin_slug ),
            'doifd_mailchimp_list_name'=> __( 'Mailchimp List' , $this->plugin_slug ) ,
            'doifd_constant_contact_list_name'=> __( 'Constant Contact List' , $this->plugin_slug ) ,
            'doifd_landing_page'=>__( 'Landing Page' , $this->plugin_slug ),
            'shortcode'=> __( 'Shortcode' , $this->plugin_slug ) ,
            'doifd_number_of_downloads'=>__( 'Total Downloads / Subscribers' , $this->plugin_slug )
                ) ;
        return $columns;
        
        }
        
        if ( is_plugin_active( 'double-opt-in-for-download/double-opt-in-for-download.php' ) ) {
            
        $columns = array (
            'cb'=>'<input type="checkbox" />' , //Render a checkbox instead of text
            'doifd_download_name'=>__( 'Download / List Name', $this->plugin_slug ),
            'type'=>__( 'Type' , $this->plugin_slug ),
            'doifd_landing_page'=>__( 'Landing Page' , $this->plugin_slug ),
            'shortcode'=> __( 'Shortcode' , $this->plugin_slug ) ,
            'doifd_number_of_downloads'=>__( 'Total Downloads / Subscribers' , $this->plugin_slug )
                ) ;
        return $columns;
        
        }
    }
    
    public function change_subscriber_table_headers( $columns ) {
        $options = get_option( 'doifd_lab_options' );

        if ( isset( $options[ 'optional_form_field_1' ] ) ) {

            $misc1 = $options[ 'optional_form_field_1' ];
        }
        else {

            $misc1 = '';
        }

        if ( isset( $options[ 'optional_form_field_2' ] ) ) {

            $misc2 = $options[ 'optional_form_field_2' ];
        }
        else {

            $misc2 = '';
        }

        if ( isset( $options[ 'optional_form_field_3' ] ) ) {

            $misc3 = $options[ 'optional_form_field_3' ];
        }
        else {

            $misc3 = '';
        }


        if ( (!empty( $misc1 )) && (!empty( $misc2 )) && (!empty( $misc3 )) ) {

            $columns = array (
                'cb' => '<input type="checkbox" />', //Render a checkbox instead of text
                'name' => __( 'Name', $this->plugin_slug  ),
                'misc1' => $misc1,
                'misc2' => $misc2,
                'misc3' => $misc3,
                'email' => __( 'Email Address', $this->plugin_slug ),
                'verified' => __( 'Verified', $this->plugin_slug ),
                'download_name' => __( 'Download / List Name', $this->plugin_slug ),
                'allowed' => __( 'Successful Downloads', $this->plugin_slug ),
                'time' => __( 'Date / Time', $this->plugin_slug )
            );
        }
        elseif ( (!empty( $misc1 )) && (!empty( $misc2 )) ) {

            $columns = array (
                'cb' => '<input type="checkbox" />', //Render a checkbox instead of text
                'name' => __( 'Name', $this->plugin_slug  ),
                'misc1' => $misc1,
                'misc2' => $misc2,
                'email' => __( 'Email Address', $this->plugin_slug ),
                'verified' => __( 'Verified', $this->plugin_slug ),
                'download_name' => __( 'Download / List Name', $this->plugin_slug ),
                'allowed' => __( 'Successful Downloads', $this->plugin_slug ),
                'time' => __( 'Date / Time', $this->plugin_slug )
            );
        }
        elseif ( (!empty( $misc1 ) ) ) {

            $columns = array (
                'cb' => '<input type="checkbox" />', //Render a checkbox instead of text
                'name' => __( 'Name', $this->plugin_slug ),
                'misc1' => $misc1,
                'email' => __( 'Email Address', $this->plugin_slug ),
                'verified' => __( 'Verified', $this->plugin_slug ),
                'download_name' => __( 'Download / List Name', $this->plugin_slug ),
                'allowed' => __( 'Successful Downloads', $this->plugin_slug ),
                'time' => __( 'Date / Time', $this->plugin_slug )
            );
        }
        else {

            $columns = array (
                'cb' => '<input type="checkbox" />', //Render a checkbox instead of text
                'name' => __( 'Name', $this->plugin_slug ),
                'email' => __( 'Email Address', $this->plugin_slug ),
                'verified' => __( 'Verified', $this->plugin_slug ),
                'download_name' => __( 'Download / List Name', $this->plugin_slug ),
                'allowed' => __( 'Successful Downloads', $this->plugin_slug ),
                'time' => __( 'Date / Time', $this->plugin_slug )
            );
        }
        return $columns;
    }
    
    public function add_download_table_type(  $img, $type, $ext ) {
         
            if ( ($ext == '' ) && ($type == '1') ) {
            $img = '<img src="' . DOIFD_LIST_URL . '/public/assets/img/list.png" alt="List Icon" class="document_icon" />';
                }

            return $img;

    }
}
new DoifdAdminVisualFilters;
?>
