<?php


class DOIFDListOptions extends DOIFD_Lists_Admin {
    

    public function from_list_email_address_field() {

            /* Get options from options table */

            $email_options = get_option( 'doifd_list_options' );

            /* Get from email and assign to variable */

            $from_email = $email_options[ 'list_from_email' ];

            /* Echo the from email address field */

            echo '<div id="doifd_lab_admin_options">';
            echo '<input type="text" name="doifd_list_options[list_from_email]" id="list_from_email" value="' . $from_email . '">';
            echo '<p>' . __( 'Default is Blog/Website admin email. ( Example: do-not-reply@mywebsite.com )', $this->plugin_slug  ) . '</p>';
            echo '</div>';
        }

        /* This function creates the from email name field */

        public function from_list_email_name_field() {

            /* Get options from options table */

            $email_options = get_option( 'doifd_list_options' );

            /* Get email name from options table and assign to variable */

            $email_name = $email_options[ 'list_email_name' ];

            /* Echo the email name input field */

            echo '<div id="doifd_lab_admin_options">';
            echo '<input type="text" name="doifd_list_options[list_email_name]" id="email_name" value="' . $email_name . '">';
            echo '<p>' . __( 'Default is Blog/Website name. ( Example: Your Product Name )', $this->plugin_slug  ) . '</p>';
            echo '</div>';
        }

        /* This function creates the from email subject field */

        public function list_email_subject_field() {

            /* Get options from options table */

            $email_options = get_option( 'doifd_list_options' );

            /* Get email name from options table and assign to variable */

            if ( isset( $email_options[ 'list_email_subject' ] ) ) {

                $email_subject = $email_options[ 'list_email_subject' ];
            } else {

                $email_subject = '';
            }

            /* Echo the email name input field */

            echo '<div id="doifd_lab_admin_options">';
            echo '<input type="text" name="doifd_list_options[list_email_subject]" id="list_email_subject" size="50" value="' . $email_subject . '">';
            echo '<p>' . __( 'You can use <b>{download}</b> to insert the download name and <b>{site_name}</b> to insert your website/blog name.', $this->plugin_slug  ) . '</p>';
            echo '</div>';
        }

        public function list_email_send_html() {

            /* Get options from options table */

            $options = get_option( 'doifd_list_options' );

            /* Assign add_to_wpusers option to variable */

            if ( isset( $options[ 'list_send_html' ] ) ) {

                $send_html = $options[ 'list_send_html' ];
            } else {

                $send_html = '0';
            }

            /* Echo radio select button */

            echo '<input type="radio" id="send_html" name="doifd_list_options[list_send_html]" ' . ((isset( $send_html ) && ($send_html) == '1' ) ? 'checked="checked"' : "") . ' value="1" /> Yes ';
            echo '<input type="radio" id="send_html" name="doifd_list_options[list_send_html]" ' . (isset( $send_html ) && ($send_html == '0' ) ? 'checked="checked"' : "") . ' value="0" /> No ';
            echo '<p>' . __( 'Click YES to send verification email in HTML', $this->plugin_slug  ) . '</p>';
            
        }

        /* This function creates the email message text area field */

        public function list_email_message_field() {

            $email_options = get_option( 'doifd_list_options' );

            /* Get email message from options table and assign to variable */

            $email_message = $email_options[ 'list_email_message' ];
            $id = 'doifd_verification_email';

            $class = (!empty( $class )) ? $class : '';

            $settings = array (
                'textarea_name' => 'doifd_list_options[list_email_message]',
                'textarea_rows' => 25,
                'editor_class' => $class
            );

            echo '<p style="font-size: 1.1em; padding-bottom: 15px;">' . __( 'You must use all three of the below fields in your email.', $this->plugin_slug  ) . '<br />
        
            <b>{subscriber} = ' . __( 'Subscribers Name', $this->plugin_slug  ) . '<br />
            {url} = ' . __( 'Verification Link', $this->plugin_slug  ) . '<br />
            {download} = ' . __( 'The name of the list the subscriber has selected', $this->plugin_slug  ) . '</b><br />';

            wp_editor( $email_message, $id, $settings );

            echo '<p style="font-size: 1.3em; padding-top: 15px;">' . __( 'Need Help with the HTML Email?', $this->plugin_slug  ) . ' <a href="http://www.doubleoptinfordownload.com/create-html-email/" target="_new" />' . __( 'Click Here', $this->plugin_slug  ) . '</a> for some great tutorials.</p>';
        }
}
?>