<?php
/**
 *
 * @package   DOIFD - Lists
 * @author    Lab Web Development <support@doubleoptinfordownload.com>
 * @license   GPL-2.0+
 * @link      http://www.doubleoptinfordownload.com
 * @copyright 2014 LAB Web Development
 *
 * @wordpress-plugin
 * Plugin Name:       DOIFD - Lists
 * Plugin URI:        http://www.doubleoptinfordownload.com
 * Description:       DOIFD - Lists enhances Double OPT-IN For Download by adding the ability to add mailing lists.
 * Version:           1.0.1
 * Author:            LAB Web Development
 * Author URI:        http://www.doubleoptinfordownload.com
 * Text Domain:       doifd-lists
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

require_once( plugin_dir_path( __FILE__ ) . 'public/class-doifd-lists.php' );

define( 'DOIFD', plugin_basename( __FILE__ ) );
define( 'DOIFD_LIST_URL', plugin_dir_url( __FILE__ ) );
define( 'DOIFD_LIST_DIR', plugin_dir_path( __FILE__ ) );


/*
 * Register hooks that are fired when the plugin is activated or deactivated.
 * When the plugin is deleted, the uninstall.php file is loaded.
 */
register_activation_hook( __FILE__, array( 'DOIFD_Lists', 'activate' ) );
register_deactivation_hook( __FILE__, array( 'DOIFD_Lists', 'deactivate' ) );

add_action( 'plugins_loaded', array( 'DOIFD_Lists', 'get_instance' ) );

/*----------------------------------------------------------------------------*
 * Dashboard and Administrative Functionality
 *----------------------------------------------------------------------------*/

if ( is_admin() ) {

	require_once( plugin_dir_path( __FILE__ ) . 'admin/class-doifd-lists-admin.php' );
	add_action( 'plugins_loaded', array( 'DOIFD_Lists_Admin', 'get_instance' ) );

}
