<?php
/**
 * Contains function to verify the verification code after the user successfully lands
 * on the landing page.
 *
 * @author LAB Web Development
 */
class DoifdListLandingPage extends DOIFD_Lists {
    
    
     public function __construct() {
    
        add_filter('doifd_landing_bypass', array($this, 'doifd_landing_page'));
        
    }
    
    
    public function doifd_landing_page($attr, $content = null) {

        global $wpdb;

        if (isset($_GET['ver'])) {

            $ver = $_GET['ver'];

            /* See if the admin wants to use special button text for the download button. */

            if (!empty($attr['button_text'])) {

                $button_text = $attr['button_text'];
            } else {

                $button_text = __(' Click Here For Your Free Download', $this->plugin_slug );
            }

            /* Get options from options table and assign to variable */
            $options = get_option('doifd_lab_options');
            $mc_options = get_option('doifd_mailchimp_options');
            $cc_options = get_option('doifd_constantcontact_options');

            /* Get the downloads allowed option and assign to variable */
            $allowed = $options['downloads_allowed'];

            /* Query the database to get the download name
             * **NEED TO UPDATE AND COMBINE BOTH QUERIES***
             */
            $checkver = $wpdb->get_row("SELECT doifd_email_verified, doifd_downloads_allowed, doifd_download_id, doifd_name FROM " . $wpdb->prefix . "doifd_lab_subscribers  WHERE doifd_verification_number = '$ver' ");

            $sql = $wpdb->get_row($wpdb->prepare("SELECT doifd_download_name, doifd_download_file_name, doifd_download_mailchimp_list_id, doifd_download_constant_contact_list_id, doifd_download_type FROM $wpdb->doifd_downloads WHERE doifd_download_id = %s", $checkver->doifd_download_id), ARRAY_A);
//                $fileName = $wpdb->get_var( "SELECT doifd_download_file_name FROM " . $wpdb->prefix . "doifd_lab_downloads  WHERE doifd_download_id = '$checkver->doifd_download_id' " );

            /* See if the file is really there */
            $file = DOUBLE_OPT_IN_FOR_DOWNLOAD_DOWNLOAD_DIR . '/' . $sql['doifd_download_file_name'];

            /* If we find there is no file on the server, show the user a generic error message with code */
            if (!file_exists($file)) {

                return '<div id="doifd_user_reg_form" class="exceeded"><img src="' . DOUBLE_OPT_IN_FOR_DOWNLOAD_IMG_URL . 'sad-face.jpg" alt="Sad Face" title="Sad Face" class="sad_face"><br />' . __('There was an error. Code: DOI001', $this->plugin_slug ) . '<br />Please notify the website administrator.</div>';
            }

            /* If the email is already verified and they have already exceed the number of downloads, lets show a message */ elseif (( $checkver->doifd_email_verified == '1' ) && ( $checkver->doifd_downloads_allowed >= $allowed )) {
                return '<div id="doifd_user_reg_form" class="exceeded"><img src="' . DOUBLE_OPT_IN_FOR_DOWNLOAD_IMG_URL . 'sad-face.jpg" alt="Sad Face" title="Sad Face" class="sad_face"><br />' . __('You have exceeded your number of <br />downloads for this item.', $this->plugin_slug ) . '</div>';

            /* If the email is already verified and they have NOT exceed the number of downloads, lets show the download button */
            } elseif (( $checkver->doifd_email_verified == '1' ) && ( $checkver->doifd_downloads_allowed <= $allowed )) {

                $query = $wpdb->get_row("SELECT doifd_download_id FROM " . $wpdb->prefix . "doifd_lab_subscribers  WHERE doifd_verification_number = '$ver' ", ARRAY_A);

                $download_id_from_db = $query['doifd_download_id'];
                
                

                if ($sql['doifd_download_type'] == '0') {

                    return '<div id="doifd_user_reg_form" class="thankyou"><br /><form method="get" action="" enctype="multipart/form-data">
                                                             <input type="hidden" name="download_id" value="' . $download_id_from_db . '">
                                                             <input type="hidden" name="ver" value="' . $ver . '">
                                                             <input name="doifd_get_download" type="submit" value="' . $button_text . '">
                                                             </form>
                                                             </div>';
                } else {
                    
                     /* Update download table */

                        $wpdb->query(
                                "
                        UPDATE " . $wpdb->prefix . "doifd_lab_downloads
                        SET doifd_number_of_downloads = doifd_number_of_downloads+1 WHERE doifd_download_id = '$download_id_from_db'
                    "
                        );

                }

                /* If this is the subscribers first visit lets update the database to show
                 * the email is now verified and show them the download link
                 */
            } else {

                /* Get the subscriber ID */

                $getsubid = $wpdb->get_row("SELECT doifd_subscriber_id, doifd_name, doifd_email FROM " . $wpdb->prefix . "doifd_lab_subscribers  WHERE doifd_verification_number = '$ver' ");

                /* Update the table */

                $wpdb->update(
                        $wpdb->prefix . 'doifd_lab_subscribers', array(
                    'doifd_email_verified' => '1', // string
                        ), array('doifd_subscriber_id' => $getsubid->doifd_subscriber_id), array(
                    '%d' // value2
                        ), array('%d')
                );

                /* Lets add the new subscriber to either Mailchimp or Constant Contact or Both, whatever the admin chooses  */

                /* Assign the subscribers name to a variable */

                $subscriber = $getsubid->doifd_name;

                /* Assign the subscribers email to a variable */

                $email = $getsubid->doifd_email;

                /* Get the choosen list id and assign to a variable. In 2015 we can shorten this code. But for now we need to check
                 * both the download table and the options for the list id. Download table gets is the first priority and gets checked first,
                 * if empty then check the old options and use that. If both are empty we wont send to the outside services
                 */

                /* Check for the Mailchimp List */

                if (!empty($sql['doifd_download_mailchimp_list_id'])) {

                    $list_id = $sql['doifd_download_mailchimp_list_id'];
                } elseif (!empty($mc_options['mailchimp_list_id'])) {

                    $list_id = $mc_options['mailchimp_list_id'];
                } else {

                    $list_id = '';
                }

                /* Now check for the Constant Contact List */

                if (!empty($sql['doifd_download_constant_contact_list_id'])) {

                    $cc_list_id = $sql['doifd_download_constant_contact_list_id'];
                } elseif (!empty($cc_options['doifd_constantcontact_list_id'])) {

                    $cc_list_id = $cc_options['doifd_constantcontact_list_id'];
                } else {

                    $cc_list_id = '';
                }

                /* Add to MailChimp If Set */

                if (!empty($mc_options['doifd_lab_mailchimp_api_key']) && (!empty($list_id))) {

                    DoifdMailChimp::add_to_mailchimp_list($subscriber, $email, $list_id);
                }

                /* Add to Constant Contact if Set */

                if (!empty($cc_options['doifd_constantcontact_user_name']) && (!empty($cc_list_id))) {

                    DoifdAdminConstantContact::add_to_constantcontact_list($subscriber, $email, $cc_list_id);
                }

                /* Notify Admin of New User */

                if ($options['notification_email'] == '1') {

                    $download = $wpdb->get_var("SELECT doifd_download_name FROM " . $wpdb->prefix . "doifd_lab_downloads  WHERE doifd_download_id = '$checkver->doifd_download_id' ");

                    $notify_admin = new DoifdEmail();
                    $notify_admin->admin_notification($subscriber, $download, $email, $checkver->doifd_download_id);
                    ;
                }

                /* Show the download button */

                $query = $wpdb->get_row("SELECT doifd_download_id FROM " . $wpdb->prefix . "doifd_lab_subscribers  WHERE doifd_verification_number = '$ver' ", ARRAY_A);
                $download_id_from_db = $query['doifd_download_id'];

                if ($sql['doifd_download_type'] == '0') {

                    return '<div id="doifd_user_reg_form" class="thankyou"><br /><form method="get" action="" enctype="multipart/form-data">
                                                             <input type="hidden" name="download_id" value="' . $download_id_from_db . '">
                                                             <input type="hidden" name="ver" value="' . $ver . '">
                                                             <input name="doifd_get_download" type="submit" value="' . $button_text . '">
                                                             </form>
                                                             </div>';
                } else {

                    return '<div id="doifd_user_reg_form" class="thankyou">Email Verified</div>';
                }
            }
        }
    }
}

new DoifdListLandingPage;

?>
