<?php

/**
 * This Class handles all the email functions
 *
 * @author LAB Web Development
 */
class DoifdListEmail extends DOIFD_Lists {


    function __construct() {
        
        add_filter('doifd_alt_verification_email', array($this, 'send_verification_email'));

    }

    public function send_verification_email( $value ) {

        global $wpdb;

        $wpdb->doifd_subscribers = $wpdb->prefix . 'doifd_lab_subscribers';
        $wpdb->doifd_downloads = $wpdb->prefix . 'doifd_lab_downloads';

        /* If $value is not empty proceed, other wise, let die */

        if ( !empty( $value ) ) {

            /* Get the options from the options table */

            $options_download = get_option( 'doifd_lab_options' );
            $options_list = get_option( 'doifd_list_options' );

            /* Get the email address of subscriber and assign to variable */

            $doifd_lab_to = $value[ 'user_email' ];

            /* Get the user name of subscriber and assign to variable */

            $doifd_user_name = $value[ 'user_name' ];

            /* Get the download_id and assign to variable */

            $doifd_download_id = $value[ 'download_id' ];

            /* Query the database to get the name of download and the landing page and assign to a variables. */

            $sql = $wpdb->get_row( $wpdb->prepare( "SELECT doifd_download_name, doifd_download_landing_page, doifd_download_type FROM $wpdb->doifd_downloads WHERE doifd_download_id = %s", $doifd_download_id ), ARRAY_A );

            /* This is for the conversion from moving the landing page from general options to each individual upload. Can remove/simplify on 01/2015 */
            
            if ( $sql[ 'doifd_download_landing_page' ] != '0' ) {

                $landing_page = $sql[ 'doifd_download_landing_page' ];
            }
            else {

                $landing_page = $options_download[ 'landing_page' ];
            }

            $download_name = $sql[ 'doifd_download_name' ];

            /* The $URL provides the link with the verification number attached to the the url for verification */

            $url = add_query_arg( 'ver', $value[ 'user_ver' ], get_permalink( $landing_page ) );

            /* The subject line of the email */

            if ($sql['doifd_download_type'] == '0') {
            
                /* Send HTML Email */
                
            if (isset($options_download[ 'send_html' ])) {

            $html= $options_download[ 'send_html' ];
            
            } else {
                
                $html = FALSE;
                
            }
            
                /* If the admin set a different "from email" use that otherwise use the default admin email address. */

            if ( !empty( $options_download[ 'from_email' ] ) ) {

                $msg_from_email = $options_download[ 'from_email' ];
            }
            else {

                $msg_from_email = get_bloginfo( 'admin_email' );
            }

            /* If the admin set a different "Website Name" use that, otherwise use the default admin blog name. */

            if ( !empty( $options_download[ 'email_name' ] ) ) {

                $msg_from_name = $options_download[ 'email_name' ];
            }
            else {

                $msg_from_name = get_bloginfo( 'name' );
            }

            if (isset($options_download[ 'email_subject' ])) {
                
            $subject = $options_download[ 'email_subject' ];
            
            }

            if ( !empty( $subject ) ) {

                $updated_subject = str_ireplace( array ( '{download}', '{site_name}' ), array ( $download_name, get_bloginfo( 'name' ) ), $subject );

                $doifd_lab_subject = $updated_subject;
            }
            else {

                $doifd_lab_subject = sprintf( __( 'Your Free Download from %s', $this->plugin_slug  ), get_bloginfo( 'name' ) );
            }

            /* Get the email message from the options table */

            $doifd_lab_message_template = $options_download[ 'email_message' ];

            /* Replace the {user_name}, {download} and {url} in the email message body with the actual name and URL. */

            $doifd_lab_message = str_ireplace( array ( '{subscriber}', '{url}', '{download}' ), array ( $doifd_user_name, $url, $download_name ), $doifd_lab_message_template );

            /* Assign value to email header(s) */

            $doifd_lab_headers[ ] = 'From:' . $msg_from_name . '   <' . $msg_from_email . '>';

            /*             * *****************************************************
             * Optional cc headers if you need to use them.
             * $doifd_lab_headers[] = 'Cc: John Q Codex <jqc@wordpress.org>'; 
             * $doifd_lab_headers[] = 'Cc: iluvwp@wordpress.org'; // note you can just use a simple email address 
             * **************************************************************
             */
            if ( $html == TRUE ) {
                add_filter( 'wp_mail_content_type', array ( $this, 'set_html_content_type' ) );
            }
            /* Send the email using wp_mail */

            wp_mail( $doifd_lab_to, $doifd_lab_subject, $doifd_lab_message, $doifd_lab_headers );

            if ( $html == TRUE ) {
                remove_filter( 'wp_mail_content_type', array ( $this, 'set_html_content_type' ) );
            }

            return TRUE;
        }
        
           if ($sql['doifd_download_type'] == '1') {
               
               /* If the admin set a different "from email" use that otherwise use the default admin email address. */

            if ( !empty( $options_list[ 'list_from_email' ] ) ) {

                $msg_from_email = $options_list[ 'list_from_email' ];
            }
            else {

                $msg_from_email = get_bloginfo( 'admin_email' );
            }

            /* If the admin set a different "Website Name" use that, otherwise use the default admin blog name. */

            if ( !empty( $options_list[ 'list_email_name' ] ) ) {

                $msg_from_name = $options_list[ 'list_email_name' ];
            }
            else {

                $msg_from_name = get_bloginfo( 'name' );
            }    
           

                /* Send HTML Email */

            $html = $options_list[ 'list_send_html' ];

            $download_name = $sql[ 'doifd_download_name' ];

            /* The $URL provides the link with the verification number attached to the the url for verification */

            $url = add_query_arg( 'ver', $value[ 'user_ver' ], get_permalink( $landing_page ) );

            /* The subject line of the email */

                
            $subject = $options_list[ 'list_email_subject' ];

            if ( !empty( $subject ) ) {

                $updated_subject = str_ireplace( array ( '{download}', '{site_name}' ), array ( $download_name, get_bloginfo( 'name' ) ), $subject );

                $doifd_lab_subject = $updated_subject;
            }
            else {

                $doifd_lab_subject = sprintf( __( 'Please confirm your subscription to %s', $this->plugin_slug  ), get_bloginfo( 'name' ) );
            }

            /* Get the email message from the options table */

            $doifd_lab_message_template = $options_list[ 'list_email_message' ];

            /* Replace the {user_name}, {download} and {url} in the email message body with the actual name and URL. */

            $doifd_lab_message = str_ireplace( array ( '{subscriber}', '{url}', '{download}' ), array ( $doifd_user_name, $url, $download_name ), $doifd_lab_message_template );

            /* Assign value to email header(s) */

            $doifd_lab_headers[ ] = 'From:' . $msg_from_name . '   <' . $msg_from_email . '>';

            /*             * *****************************************************
             * Optional cc headers if you need to use them.
             * $doifd_lab_headers[] = 'Cc: John Q Codex <jqc@wordpress.org>'; 
             * $doifd_lab_headers[] = 'Cc: iluvwp@wordpress.org'; // note you can just use a simple email address 
             * **************************************************************
             */
            if ( $html == TRUE ) {
                add_filter( 'wp_mail_content_type', array ( $this, 'set_html_content_type' ) );
            }
            /* Send the email using wp_mail */

            wp_mail( $doifd_lab_to, $doifd_lab_subject, $doifd_lab_message, $doifd_lab_headers );

            if ( $html == TRUE ) {
                remove_filter( 'wp_mail_content_type', array ( $this, 'set_html_content_type' ) );
            }

            return TRUE;
        }

        else {

            return FALSE;
        }

        }
    }
    
    public function set_html_content_type() {

            $html = "text/html";
            return $html;
        }
        
}

new DoifdListEmail;

?>
