<?php

/**
 * Contains functions that verify the verification number then redirect to a
 * virtual post if invalid or let through to the landing page.
 *
 * @author LAB Web Development
 */
include_once 'class-doifd-virtual-posts.php';

class DoifdListVerifyEmail extends DOIFD_Lists {
    
    public function __construct() {
    
        add_action('parse_request', array($this, 'doifd_parse_request'));
        
    }
        public function doifd_parse_request($wp) {
    
        global $wpdb;
        
        $vp = new DoifdVirtualPosts;
        
        if ((isset($_GET['ver'])) && (empty($_GET['ver']))) {

            // setup hooks and filters to generate virtual movie page
            add_action('template_redirect', array($vp, 'doifd_template_redir'));

            $vp->vm_body = "Verification Number is Invalid";
            $vp->vm_title = "Error";

            add_filter('the_posts', array($vp, 'doifd_createdummypost'));

            // now that we know it's my page,
            // prevent shortcode content from having spurious <p> and <br> added
            remove_filter('the_content', 'wpautop');
        }

        /* Check the database to see if the verification number exists. */

        if ((isset($_GET['ver'])) && (!empty($_GET['ver']))) {

            $checkver = $wpdb->get_row($wpdb->prepare("SELECT
            doifd_download_id
            FROM " . $wpdb->prefix . "doifd_lab_subscribers
            WHERE doifd_verification_number = %s", $_GET['ver']));
        }

        if ((isset($_GET['ver'])) && (empty($checkver))) {

            /* If the verification is set but does not exist in the database redirect to error message */

            // setup hooks and filters to generate virtual movie page
            add_action('template_redirect', array($vp, 'doifd_template_redir'));

            $vp->vm_body = "Verification Number is Invalid";
            $vp->vm_title = "Error";

            add_filter('the_posts', array($vp, 'doifd_createdummypost'));

            // now that we know it's my page,
            // prevent shortcode content from having spurious <p> and <br> added
            remove_filter('the_content', 'wpautop');
        }
    }

}   
    
new DoifdListVerifyEmail;
?>
